Package fr.gouv.vitam.common.auth.core.authc

# Class X509AuthenticationInfo

java.lang.Object
org.apache.shiro.authc.SimpleAuthenticationInfo
fr.gouv.vitam.common.auth.core.authc.X509AuthenticationInfo

All Implemented Interfaces:
  `Serializable`, `org.apache.shiro.authc.AuthenticationInfo`, `org.apache.shiro.authc.MergableAuthenticationInfo`, `org.apache.shiro.authc.SaltedAuthenticationInfo`

public class X509AuthenticationInfo extends org.apache.shiro.authc.SimpleAuthenticationInfo
Based on work: Copyright Paul Merlin 2011 (Apache Licence v2.0)

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.shiro.authc.SimpleAuthenticationInfo

  `credentials, credentialsSalt, principals`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X509AuthenticationInfo(Object principal, X509Certificate clientCertificate, Set<X509Certificate> grantedIssuers, String realmName)`
  `X509AuthenticationInfo(Object principal, X500Principal subjectDN, String realmName)`
  `X509AuthenticationInfo(Object principal, X500Principal issuerDN, String serialNumber, String realmName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<TrustAnchor>`
  `getGrantedTrustAnchors()`
  `String`
  `getHexSerialNumber()`
  `X500Principal`
  `getIssuerDN()`
  `X500Principal`
  `getSubjectDN()`
  `X509Certificate`
  `getX509Certificate()`

  ### Methods inherited from class org.apache.shiro.authc.SimpleAuthenticationInfo

  `equals, getCredentials, getCredentialsSalt, getPrincipals, hashCode, merge, setCredentials, setCredentialsSalt, setPrincipals, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X509AuthenticationInfo

    public X509AuthenticationInfo(Object principal, X509Certificate clientCertificate, Set<X509Certificate> grantedIssuers, String realmName)
    Parameters:
      `principal` -
      `clientCertificate` -
      `grantedIssuers` -
      `realmName` -

  - ### X509AuthenticationInfo

    public X509AuthenticationInfo(Object principal, X500Principal issuerDN, String serialNumber, String realmName)
    Parameters:
      `principal` -
      `issuerDN` -
      `serialNumber` -
      `realmName` -

  - ### X509AuthenticationInfo

    public X509AuthenticationInfo(Object principal, X500Principal subjectDN, String realmName)
    Parameters:
      `principal` -
      `subjectDN` -
      `realmName` -

- ## Method Details

  - ### getX509Certificate

    public X509Certificate getX509Certificate()
    Returns:
      the clientCertificate

  - ### getSubjectDN

    public X500Principal getSubjectDN()
    Returns:
      the subjectDN of the certificate

  - ### getIssuerDN

    public X500Principal getIssuerDN()
    Returns:
      the issuerDN of the certificate

  - ### getHexSerialNumber

    public String getHexSerialNumber()
    Returns:
      the serialNumber of the certificate

  - ### getGrantedTrustAnchors

    public Set<TrustAnchor> getGrantedTrustAnchors()
    Returns:
      the trusted certificates